wrong version generate in ./target/classes/META-INF/MANIFEST.MF

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

wrong version generate in ./target/classes/META-INF/MANIFEST.MF

Peter Cheung

Hi

    wrong version generate in ./target/classes/META-INF/MANIFEST.MF, org.netbeans.modules.editor.lib2/1 should be 56 but it generated 55, how to fix it?


Manifest-Version: 1.0

OpenIDE-Module-Layer: com/github/mcheung63/netbeans/minimap/layer.xml

OpenIDE-Module-Localizing-Bundle: com/github/mcheung63/netbeans/minima

 p/Bundle.properties

OpenIDE-Module-Specification-Version: 2.8

OpenIDE-Module-Implementation-Version: 2.8

OpenIDE-Module-Build-Version: 201706040430

OpenIDE-Module: com.github.mcheung63.netbeans.minimap

OpenIDE-Module-Public-Packages: -

OpenIDE-Module-Requires: org.openide.modules.ModuleFormat1

OpenIDE-Module-Display-Category: com.github.mcheung63

OpenIDE-Module-Name: Minimap

OpenIDE-Module-Short-Description: Display the code minimap, programmer

  can overlook their code.

OpenIDE-Module-Long-Description: Display the code minimap, programmer

 can overlook their code.

X-Class-Path: ext/com.github.mcheung63.netbeans.minimap/com-miglayout/

 miglayout.jar ext/com.github.mcheung63.netbeans.minimap/com-github-mc

 heung63/peter-swing.jar ext/com.github.mcheung63.netbeans.minimap/com

 mons-vfs/commons-vfs.jar ext/com.github.mcheung63.netbeans.minimap/co

 mmons-logging/commons-logging.jar ext/com.github.mcheung63.netbeans.m

 inimap/org-imgscalr/imgscalr-lib.jar

Maven-Class-Path: com.miglayout:miglayout:3.7.4 com.github.mcheung63:p

 eter-swing:20160618 commons-vfs:commons-vfs:1.0 commons-logging:commo

 ns-logging:1.0.4 org.imgscalr:imgscalr-lib:4.2

OpenIDE-Module-Module-Dependencies: org.netbeans.api.annotations.commo

 n/1 > 1.27.1, org.openide.io > 1.49.1, org.openide.text > 6.67.1, org

 .netbeans.modules.java.source.base > 2.20.1.2.2.25.8.1, org.openide.f

 ilesystems > 9.10.1, org.openide.util > 9.7.1, org.openide.loaders >

 7.66.1, org.netbeans.libs.javacapi > 8.15.1.3, org.openide.util.looku

 p > 8.33.1, org.netbeans.modules.editor.settings/1 > 1.56.1, org.netb

 eans.modules.editor.mimelookup/1 > 1.40.1, org.openide.awt > 7.67.1,

 org.netbeans.modules.editor.lib2/1 = 55, org.openide.nodes > 7.45.1,

 org.openide.util.ui > 9.6.1, org.netbeans.modules.projectapi/1 > 1.66

 .1


thanks

from Peter

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: wrong version generate in ./target/classes/META-INF/MANIFEST.MF

Geertjan Wielenga-3



On 4-6-2017 6:32, Peter Cheung wrote:

Hi

    wrong version generate in ./target/classes/META-INF/MANIFEST.MF, org.netbeans.modules.editor.lib2/1 should be 56 but it generated 55, how to fix it?


Can you explain what the above question means? I don't understand it.

Gj



Manifest-Version: 1.0

OpenIDE-Module-Layer: com/github/mcheung63/netbeans/minimap/layer.xml

OpenIDE-Module-Localizing-Bundle: com/github/mcheung63/netbeans/minima

 p/Bundle.properties

OpenIDE-Module-Specification-Version: 2.8

OpenIDE-Module-Implementation-Version: 2.8

OpenIDE-Module-Build-Version: 201706040430

OpenIDE-Module: com.github.mcheung63.netbeans.minimap

OpenIDE-Module-Public-Packages: -

OpenIDE-Module-Requires: org.openide.modules.ModuleFormat1

OpenIDE-Module-Display-Category: com.github.mcheung63

OpenIDE-Module-Name: Minimap

OpenIDE-Module-Short-Description: Display the code minimap, programmer

  can overlook their code.

OpenIDE-Module-Long-Description: Display the code minimap, programmer

 can overlook their code.

X-Class-Path: ext/com.github.mcheung63.netbeans.minimap/com-miglayout/

 miglayout.jar ext/com.github.mcheung63.netbeans.minimap/com-github-mc

 heung63/peter-swing.jar ext/com.github.mcheung63.netbeans.minimap/com

 mons-vfs/commons-vfs.jar ext/com.github.mcheung63.netbeans.minimap/co

 mmons-logging/commons-logging.jar ext/com.github.mcheung63.netbeans.m

 inimap/org-imgscalr/imgscalr-lib.jar

Maven-Class-Path: com.miglayout:miglayout:3.7.4 com.github.mcheung63:p

 eter-swing:20160618 commons-vfs:commons-vfs:1.0 commons-logging:commo

 ns-logging:1.0.4 org.imgscalr:imgscalr-lib:4.2

OpenIDE-Module-Module-Dependencies: org.netbeans.api.annotations.commo

 n/1 > 1.27.1, org.openide.io > 1.49.1, org.openide.text > 6.67.1, org

 .netbeans.modules.java.source.base > 2.20.1.2.2.25.8.1, org.openide.f

 ilesystems > 9.10.1, org.openide.util > 9.7.1, org.openide.loaders >

 7.66.1, org.netbeans.libs.javacapi > 8.15.1.3, org.openide.util.looku

 p > 8.33.1, org.netbeans.modules.editor.settings/1 > 1.56.1, org.netb

 eans.modules.editor.mimelookup/1 > 1.40.1, org.openide.awt > 7.67.1,

 org.netbeans.modules.editor.lib2/1 = 55, org.openide.nodes > 7.45.1,

 org.openide.util.ui > 9.6.1, org.netbeans.modules.projectapi/1 > 1.66

 .1


thanks

from Peter


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: wrong version generate in ./target/classes/META-INF/MANIFEST.MF

Geertjan Wielenga-3


OK, it's much clearer in your own comment in your own blog: http://peter.kingofcoders.com/?p=2444


As you have discovered, when you're using an implementation dependency (nowhere did you say that in your e-mail, but I can see this from your comment in your blog), you do indeed need to refer to the exact version number of your implementation dependency:


<explicitValue>org.netbeans.modules.editor.lib2/1 = 56</explicitValue>


Gj


On 4-6-2017 11:03, geertjan wielenga wrote:



On 4-6-2017 6:32, Peter Cheung wrote:

Hi

    wrong version generate in ./target/classes/META-INF/MANIFEST.MF, org.netbeans.modules.editor.lib2/1 should be 56 but it generated 55, how to fix it?


Can you explain what the above question means? I don't understand it.

Gj



Manifest-Version: 1.0

OpenIDE-Module-Layer: com/github/mcheung63/netbeans/minimap/layer.xml

OpenIDE-Module-Localizing-Bundle: com/github/mcheung63/netbeans/minima

 p/Bundle.properties

OpenIDE-Module-Specification-Version: 2.8

OpenIDE-Module-Implementation-Version: 2.8

OpenIDE-Module-Build-Version: 201706040430

OpenIDE-Module: com.github.mcheung63.netbeans.minimap

OpenIDE-Module-Public-Packages: -

OpenIDE-Module-Requires: org.openide.modules.ModuleFormat1

OpenIDE-Module-Display-Category: com.github.mcheung63

OpenIDE-Module-Name: Minimap

OpenIDE-Module-Short-Description: Display the code minimap, programmer

  can overlook their code.

OpenIDE-Module-Long-Description: Display the code minimap, programmer

 can overlook their code.

X-Class-Path: ext/com.github.mcheung63.netbeans.minimap/com-miglayout/

 miglayout.jar ext/com.github.mcheung63.netbeans.minimap/com-github-mc

 heung63/peter-swing.jar ext/com.github.mcheung63.netbeans.minimap/com

 mons-vfs/commons-vfs.jar ext/com.github.mcheung63.netbeans.minimap/co

 mmons-logging/commons-logging.jar ext/com.github.mcheung63.netbeans.m

 inimap/org-imgscalr/imgscalr-lib.jar

Maven-Class-Path: com.miglayout:miglayout:3.7.4 com.github.mcheung63:p

 eter-swing:20160618 commons-vfs:commons-vfs:1.0 commons-logging:commo

 ns-logging:1.0.4 org.imgscalr:imgscalr-lib:4.2

OpenIDE-Module-Module-Dependencies: org.netbeans.api.annotations.commo

 n/1 > 1.27.1, org.openide.io > 1.49.1, org.openide.text > 6.67.1, org

 .netbeans.modules.java.source.base > 2.20.1.2.2.25.8.1, org.openide.f

 ilesystems > 9.10.1, org.openide.util > 9.7.1, org.openide.loaders >

 7.66.1, org.netbeans.libs.javacapi > 8.15.1.3, org.openide.util.looku

 p > 8.33.1, org.netbeans.modules.editor.settings/1 > 1.56.1, org.netb

 eans.modules.editor.mimelookup/1 > 1.40.1, org.openide.awt > 7.67.1,

 org.netbeans.modules.editor.lib2/1 = 55, org.openide.nodes > 7.45.1,

 org.openide.util.ui > 9.6.1, org.netbeans.modules.projectapi/1 > 1.66

 .1


thanks

from Peter



Loading...